Bug 972706 - Migrate VM to different cluster fail: Operation Failed:
Migrate VM to different cluster fail: Operation Failed:
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Michael Pasternak
Elena
infra
: Regression, TestBlocker, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 08:43 EDT by Ohad Basan
Modified: 2016-02-10 14:24 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 03:18:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ohad Basan 2013-06-10 08:43:15 EDT
Description of problem:
ERROR: Operation Failed: [var  action  migrate, var  type  vm, var  action  migrate, var  type  vm, action type failed migrate between two clusters]

when trying to migrate to another cluster

Version-Release number of selected component (if applicable):
vdsm-4.10.2-22.0.el6ev.x86_64
rhevm-3.3.0-0.0.1.20130610gita4cc7b3.root.master.el6ev.noarch
Comment 5 Barak 2013-06-16 12:55:57 EDT
Taken from the jenkins console output:

2013-06-10 15:25:07,884 - MainThread - plmanagement.matrix-test-composer - INFO - Test Name: Migrate VM to different cluster
2013-06-10 15:25:07,884 - MainThread - plmanagement.matrix-test-composer - INFO - Iteration Number: 24
2013-06-10 15:25:07,885 - MainThread - plmanagement.matrix-test-composer - INFO - Test ID: NaN
2013-06-10 15:25:07,885 - MainThread - plmanagement.matrix-test-composer - INFO - Test positive: False
2013-06-10 15:25:07,886 - MainThread - plmanagement.matrix-test-composer - INFO - Test action: migrateVm
2013-06-10 15:25:07,886 - MainThread - plmanagement.matrix-test-composer - INFO - Test parameters: False, vm='restvm0', host='cinteg10.ci.lab.tlv.redhat.com'
2013-06-10 15:25:07,887 - MainThread - plmanagement.matrix-test-composer - INFO - Running command: migrateVm(False, vm='restvm0', host='cinteg10.ci.lab.tlv.redhat.com')
2013-06-10 15:25:08,229 - MainThread - vms - ERROR - Response code is not valid, expected is: [500, 400], actual is: 409 
2013-06-10 15:25:08,229 - MainThread - test_runner - ERROR - Test Case failed: Test returned False
2013-06-10 15:25:08,417 - MainThread - plmanagement.error_fetcher - ERROR - Errors fetched from VDC(jenkins-automation-rpm-vm06.eng.lab.tlv.redhat.com): 2013-06-10 15:25:08,216 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp-/127.0.0.1:8702-1) Operation Failed: [var  action  migrate, var  type  vm, var  action  migrate, var  type  vm, action type failed migrate between two clusters]
Comment 6 Barak 2013-06-16 12:59:18 EDT
I assume it has to do with the change in the response code is related to fix of Bug 755579.

Michael - please check.

If this is the case than the test must be changed according to the new reported statuses.
Comment 7 Michael Pasternak 2013-06-17 03:18:15 EDT
(In reply to Barak from comment #6)
> I assume it has to do with the change in the response code is related to fix
> of Bug 755579.
> 
> Michael - please check.
> 
> If this is the case than the test must be changed according to the new
> reported statuses.

indeed, 

Elena please note that all tests have to be adapted to the mentioned change.

Note You need to log in before you can comment on or make changes to this bug.